Skip to content

Creates a new function fee record that does not already exist.

Request

This method will auto-generate an ID and create a new function fee. If an ID is specified for the function fee, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The function fee that you would like to be saved.

abbreviated_namestring(Abbreviated Name)required

The abbreviated name when viewing the product inside of an event

allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bulk_pricing_rulesArray of objects, non-emptyrequired
bundled_productsArray of objects, non-emptyrequired
bundled_products_inventory_handlingstring(Bundled Products Inventory Handling)

Whether to track inventory for the entire bundle, or for each product separately

Enum:"bundle""each product"
business_unit_idstring(Business Unit)required

The business unit of the product

cancellation_feenumber, (double)(Cancellation Fee)

Cancellation fees associated with this product

capacity_optionsobject(Capacity Options)required
commerce_entitlements_to_createArray of objects
coupon_codesArray of objects, non-emptyrequired
custom_field_valuesArray of objects(Custom Field Values)
custom_pricing_optionsobject(Custom Pricing Options)required
deadline_based_pricingArray of objects
document_entitlements_to_createArray of objects
enable_bulk_pricingboolean(Enable Bulk Pricing)

Whether or not bulk pricing is enabled

enable_bundled_productsboolean(Enable Bundled Products)

Whether to enable bundled products

enable_cancellation_feesboolean(Enable Cancellation Fees)

Whether or not cancellation fees are applicable

enable_capacityboolean(Enable Capacity)

If set, the function has a capacity

enable_commerce_entitlement_creationboolean(Enable Commerce Entitlement Creation)

If set, document entitlements will be created to access folders or documents

enable_coupon_code_generationboolean(Enable Coupon Code Generation)

If true, purchasing this product will generate coupons

enable_custom_pricingboolean(Enable Custom Pricing)

If set, the order engine will call out to a custom lambda function for custom/complex pricing

enable_document_entitlement_creationboolean(Enable Document Entitlement Creation)

If set, document entitlements will be created to access folders or documents

enable_product_confirmation_emailboolean(Enable Product Confirmation Email)

If enabled, a custom email goes out whenever this product is ordered

enable_purchase_limitsboolean(Enable Purchase Limits)

If true, purchase limits are in place for this product

enable_purchasing_eligibilityboolean(Enable Purchasing Eligibility)

If set, purchases of this merchandise are restricted

enable_special_pricesboolean(Enable Special Prices)

Whether to enable special pricing logic

enable_task_generationboolean(Enable Task Generation)

If set, tasks will be generated

event_idstring(Event)required

The event this fee belongs to

foreign_currency_pricesArray of objects
function_idstring(Function)required

The function this fee belongs to

hide_from_portalboolean(Hide From Portal)

If set, this product should not be shown in the portal

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this miscellaneous product

installment_plan_optionsArray of objects, non-emptyrequired
is_activeboolean(Is Active)

Whether this product is active/used

member_pricenumber, (double)(Member Price)

The price of the product for an active member

namestring(Name)required

The name of the miscellaneous product

notesstring(Notes)

Notes

portal_optionsobject(Portal Options)
pricenumber, (double)(Price)required

The price of the product

product_confirmation_email_optionsobject(Product Confirmation Email Options)required
publish_to_portalboolean(Publish To Portal)

Whether or not this product should be available in the portal

purchase_limitsobject(Purchase Limits)required
purchasing_eligibility_criteriaobject(Purchasing Eligibility Criteria)
special_pricesArray of objects, non-emptyrequired
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tasks_to_generateArray of objects
typestring(Type)

The product type

Value:"events-function-fees"
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/functionFees/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abbreviated_name": "string",
    "allow_customer_to_choose_installment_plan": true,
    "bulk_pricing_rules": [
      {
        "discount_amount": 0,
        "discount_type": "flat rate",
        "ending_range": 0,
        "starting_range": 0
      }
    ],
    "bundled_products": [
      {
        "member_price": 0.1,
        "price": 0.1,
        "product_id": "string",
        "product_type": "string",
        "quantity": 0,
        "type": "bundled product"
      }
    ],
    "bundled_products_inventory_handling": "bundle",
    "business_unit_id": "string",
    "cancellation_fee": 0.1,
    "capacity_options": {
      "capacity": 1
    },
    "commerce_entitlements_to_create": [
      {
        "expiration_date": "2019-08-24T14:15:22Z",
        "expiration_type": "none",
        "quantity": 0.1,
        "relative_expiration_date": {
          "number": null,
          "position": "after",
          "relative_to": "the beginning of the month",
          "unit_of_time": "days"
        },
        "type_id": "string"
      }
    ],
    "coupon_codes": [
      {
        "coupon_code_generation_process_id": "string",
        "coupon_code_type": "multi use",
        "coupon_id": "string",
        "coupon_type": "string",
        "expiration_date": "2019-08-24T14:15:22Z",
        "expiration_type": "none",
        "maximum_number_of_total_uses": 1,
        "maximum_number_of_uses_per_customer": 1,
        "quantity": 250,
        "relative_expiration_date": {
          "number": null,
          "position": "after",
          "relative_to": "the beginning of the month",
          "unit_of_time": "days"
        },
        "restrict_to_contact": true,
        "restrict_to_organization": true
      }
    ],
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "custom_pricing_options": {
      "lambda_function_id": "string"
    },
    "deadline_based_pricing": [
      {
        "deadline_id": "string",
        "member_price": 0.1,
        "price": 0.1
      }
    ],
    "document_entitlements_to_create": [
      {
        "expiration_date": "2019-08-24T14:15:22Z",
        "expiration_type": "none",
        "file_cabinet_id": "string",
        "item_id": "string",
        "library_path": "string",
        "relative_expiration_date": {
          "number": null,
          "position": "after",
          "relative_to": "the beginning of the month",
          "unit_of_time": "days"
        }
      }
    ],
    "enable_bulk_pricing": true,
    "enable_bundled_products": true,
    "enable_cancellation_fees": true,
    "enable_capacity": true,
    "enable_commerce_entitlement_creation": true,
    "enable_coupon_code_generation": true,
    "enable_custom_pricing": true,
    "enable_document_entitlement_creation": true,
    "enable_product_confirmation_email": true,
    "enable_purchase_limits": true,
    "enable_purchasing_eligibility": true,
    "enable_special_prices": true,
    "enable_task_generation": true,
    "event_id": "string",
    "foreign_currency_prices": [
      {
        "cancellation_fee": 0.1,
        "currency_code": "AED",
        "member_price": 0.1,
        "mode": "calculate price",
        "price": 0.1,
        "restocking_fee": 0.1
      }
    ],
    "function_id": "string",
    "hide_from_portal": true,
    "id": "string",
    "installment_plan_options": [
      {
        "additional_cost": 0.1,
        "installment_plan_id": "string",
        "is_default": true
      }
    ],
    "is_active": true,
    "member_price": 0.1,
    "name": "string",
    "notes": "string",
    "portal_options": {
      "available_from": "2019-08-24T14:15:22Z",
      "available_until": "2019-08-24T14:15:22Z"
    },
    "price": 0.1,
    "product_confirmation_email_options": {
      "product_confirmation_email_id": "string",
      "product_specific_email": {
        "bcc": "string",
        "body": "string",
        "cc": "string",
        "from": "string",
        "from_name": "string",
        "reply_to": "string",
        "subject": "string"
      },
      "type": "product specific"
    },
    "publish_to_portal": true,
    "purchase_limits": {
      "error_message": "string",
      "maximum": 0.1,
      "relative_time_window": {
        "number": null,
        "position": "after",
        "relative_to": "the beginning of the month",
        "unit_of_time": "days"
      },
      "time_period": "all time",
      "type": "per customer"
    },
    "purchasing_eligibility_criteria": {},
    "special_prices": [
      {
        "criteria": {},
        "enable_formula": true,
        "formula": "string",
        "name": "string",
        "price": 0.1
      }
    ],
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "tasks_to_generate": [
      {
        "assignee_type": "assignment role",
        "assignment_role_id": "string",
        "description": "string",
        "due_date_type": "none",
        "name": "string",
        "notify_assignees": true,
        "priority": "high",
        "queue_id": "string",
        "relative_due_date": {
          "number": null,
          "position": "after",
          "relative_to": "the beginning of the month",
          "unit_of_time": "days"
        },
        "specific_due_date": "2019-08-24T14:15:22Z",
        "type_id": "string",
        "user_id": "string"
      }
    ],
    "type": "events-function-fees"
  }'

Responses

The function fee was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
abbreviated_namestring(Abbreviated Name)required

The abbreviated name when viewing the product inside of an event

allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bulk_pricing_rulesArray of objects, non-emptyrequired
bundled_productsArray of objects, non-emptyrequired
bundled_products_inventory_handlingstring(Bundled Products Inventory Handling)

Whether to track inventory for the entire bundle, or for each product separately

Enum:"bundle""each product"
business_unit_idstring(Business Unit)required

The business unit of the product

cancellation_feenumber, (double)(Cancellation Fee)

Cancellation fees associated with this product

capacity_optionsobject(Capacity Options)required
commerce_entitlements_to_createArray of objects
coupon_codesArray of objects, non-emptyrequired
custom_field_valuesArray of objects(Custom Field Values)
custom_pricing_optionsobject(Custom Pricing Options)required
deadline_based_pricingArray of objects
document_entitlements_to_createArray of objects
enable_bulk_pricingboolean(Enable Bulk Pricing)

Whether or not bulk pricing is enabled

enable_bundled_productsboolean(Enable Bundled Products)

Whether to enable bundled products

enable_cancellation_feesboolean(Enable Cancellation Fees)

Whether or not cancellation fees are applicable

enable_capacityboolean(Enable Capacity)

If set, the function has a capacity

enable_commerce_entitlement_creationboolean(Enable Commerce Entitlement Creation)

If set, document entitlements will be created to access folders or documents

enable_coupon_code_generationboolean(Enable Coupon Code Generation)

If true, purchasing this product will generate coupons

enable_custom_pricingboolean(Enable Custom Pricing)

If set, the order engine will call out to a custom lambda function for custom/complex pricing

enable_document_entitlement_creationboolean(Enable Document Entitlement Creation)

If set, document entitlements will be created to access folders or documents

enable_product_confirmation_emailboolean(Enable Product Confirmation Email)

If enabled, a custom email goes out whenever this product is ordered

enable_purchase_limitsboolean(Enable Purchase Limits)

If true, purchase limits are in place for this product

enable_purchasing_eligibilityboolean(Enable Purchasing Eligibility)

If set, purchases of this merchandise are restricted

enable_special_pricesboolean(Enable Special Prices)

Whether to enable special pricing logic

enable_task_generationboolean(Enable Task Generation)

If set, tasks will be generated

event_idstring(Event)required

The event this fee belongs to

foreign_currency_pricesArray of objects
function_idstring(Function)required

The function this fee belongs to

hide_from_portalboolean(Hide From Portal)

If set, this product should not be shown in the portal

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this miscellaneous product

installment_plan_optionsArray of objects, non-emptyrequired
is_activeboolean(Is Active)

Whether this product is active/used

member_pricenumber, (double)(Member Price)

The price of the product for an active member

namestring(Name)required

The name of the miscellaneous product

notesstring(Notes)

Notes

portal_optionsobject(Portal Options)
pricenumber, (double)(Price)required

The price of the product

product_confirmation_email_optionsobject(Product Confirmation Email Options)required
publish_to_portalboolean(Publish To Portal)

Whether or not this product should be available in the portal

purchase_limitsobject(Purchase Limits)required
purchasing_eligibility_criteriaobject(Purchasing Eligibility Criteria)
special_pricesArray of objects, non-emptyrequired
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tasks_to_generateArray of objects
typestring(Type)

The product type

Value:"events-function-fees"
Response
{ "abbreviated_name": "string", "allow_customer_to_choose_installment_plan": true, "bulk_pricing_rules": [ { … } ], "bundled_products": [ { … } ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "capacity_options": { "capacity": 1 }, "commerce_entitlements_to_create": [ { … } ], "coupon_codes": [ { … } ], "custom_field_values": [ { … } ], "custom_pricing_options": { "lambda_function_id": "string" }, "deadline_based_pricing": [ { … } ], "document_entitlements_to_create": [ { … } ], "enable_bulk_pricing": true, "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_capacity": true, "enable_commerce_entitlement_creation": true, "enable_coupon_code_generation": true, "enable_custom_pricing": true, "enable_document_entitlement_creation": true, "enable_product_confirmation_email": true, "enable_purchase_limits": true, "enable_purchasing_eligibility": true, "enable_special_prices": true, "enable_task_generation": true, "event_id": "string", "foreign_currency_prices": [ { … } ], "function_id": "string", "hide_from_portal": true, "id": "string", "installment_plan_options": [ { … } ], "is_active": true, "member_price": 0.1, "name": "string", "notes": "string", "portal_options": { "available_from": "2019-08-24T14:15:22Z", "available_until": "2019-08-24T14:15:22Z" }, "price": 0.1, "product_confirmation_email_options": { "product_confirmation_email_id": "string", "product_specific_email": { … }, "type": "product specific" }, "publish_to_portal": true, "purchase_limits": { "error_message": "string", "maximum": 0.1, "relative_time_window": { … }, "time_period": "all time", "type": "per customer" }, "purchasing_eligibility_criteria": {}, "special_prices": [ { … } ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tasks_to_generate": [ { … } ], "type": "events-function-fees" }